Subject: Re: bug#79024: 31.0.50; Multiple working trees support for VC

From: Sean Whitton <[email-masked]>
Date: Sun, 10 Aug 2025 13:26:20 +0100

Hello Eli,

Thanks, this helps in a few ways.  I think that your git doesn't support
any of the 'repair', 'move' and 'remove' subcommands of git-worktree.

We can do without 'git worktree remove'.  I've changed that on master.

I don't think that vc-git-move-working-tree is possible without either
of 'move' or 'repair', unless we start manually modifying things inside
.git, which as discussed elsewhere in the bug is not a good idea.

So I've added a guard to the tests to not try the vc-move-working-tree
tests with older Git.  If the tests still fail, please show me the
output and I'll try to determine where they're failing and possibly send
you a new list of commands.

-- 
Sean Whitton